#ifndef SDLFONT_H
#define SDLFONT_H

// The SDLFont is a simple raster-based text writer for SDL
// Font bitmaps must be 8-bit uncompressed BMP files,
// consisting of characters 32 through 127 inclusive,
// arranged in one horizontal row.  Characters must be monospace.
// Character width will be computed as bitmap width / 96,
// and character height is equal to bitmap height.

// Jeremy Stanley, June 2001

#include <SDL/SDL.h>

class SDLFont
{
    SDL_Surface *pDisplay, *pFont;
    int cw, ch;
    Uint8 bgcolor;
    int Bpp, dpitch, cpitch, cwidth, dinc, cinc;
    Uint32 pixel;

public:
    SDLFont(SDL_Surface *pSDL);
    void Clear();
    int LoadFont(const char *bitmap);
    void SetColor(int r, int g, int b);
    void WriteText(int x, int y, const char *text);
    void CenterText(int dx, int y, const char *text);
    virtual ~SDLFont();
};

#endif // SDLFONT_H
